#### 7.10.3.4 lpGkDim

Procedure from library `fpaprops.lib` (see fpaprops_lib).

Usage:
  lpGkDim(G); G an ideal in a letterplace ring

Return:
  int

Purpose:
  Determines the Gelfand Kirillov dimension of A/<G>
  -1 means positive infinite

Assume:
  - basering is a Letterplace ring
  - G is a Groebner basis

Note:
  Alias for dim(G)

Example:

    LIB "fpaprops.lib";
    ring r = 0,(x,y,z),dp;
    ring R = freeAlgebra(r, 5);
    ideal I = z; // infinite GK dimension (-1)
    lpGkDim(I);
    ==> WARNING: `lpGkDim` is deprecated, you can use `dim` instead.
    ==> -1
    I = x,y,z; I = std(I); // GK dimension 0
    lpGkDim(I);
    ==> WARNING: `lpGkDim` is deprecated, you can use `dim` instead.
    ==> 0
    I = x*y, x*z, z*y, z*z; I = std(I); // GK dimension 2
    lpGkDim(I);
    ==> WARNING: `lpGkDim` is deprecated, you can use `dim` instead.
    ==> 2
    ideal G = y*x - x*y, z*x - x*z, z*y - y*z; G = std(G);
    G;
    ==> G[1]=z*y-y*z
    ==> G[2]=z*x-x*z
    ==> G[3]=y*x-x*y
    lpGkDim(G); // GK dimension 3
    ==> WARNING: `lpGkDim` is deprecated, you can use `dim` instead.
    ==> 3

User manual for Singular version 4.4.1, 2025, generated by texi2html.